 /*******************************************************************************************************

      ██████╗ ██████╗  ██████╗ ██╗  ██╗██╗███████╗    ███╗   ██╗ ██████╗ ████████╗██╗ ██████╗███████╗
     ██╔════╝██╔═══██╗██╔═══██╗██║ ██╔╝██║██╔════╝    ████╗  ██║██╔═══██╗╚══██╔══╝██║██╔════╝██╔════╝
     ██║     ██║   ██║██║   ██║█████╔╝ ██║█████╗      ██╔██╗ ██║██║   ██║   ██║   ██║██║     █████╗
     ██║     ██║   ██║██║   ██║██╔═██╗ ██║██╔══╝      ██║╚██╗██║██║   ██║   ██║   ██║██║     ██╔══╝
     ╚██████╗╚██████╔╝╚██████╔╝██║  ██╗██║███████╗    ██║ ╚████║╚██████╔╝   ██║   ██║╚██████╗███████╗
      ╚═════╝ ╚═════╝  ╚═════╝ ╚═╝  ╚═╝╚═╝╚══════╝    ╚═╝  ╚═══╝ ╚═════╝    ╚═╝   ╚═╝ ╚═════╝╚══════╝

  *******************************************************************************************************/



    /* Cokkie notice container. */

    #cookie-notice {
        background: var(--color-white) !important;
        border-top: 1px solid var(--color-text) !important;
        z-index: 9000;
        line-height: 1.7;
        font-size: unset;
        font-family: var(--font-sans-serif);
    }

    .small #cookie-notice {
        padding: calc(0.5*var(--text-rhythm)) calc(1.5*var(--grid-gutter)) !important;
    }

    .tablet #cookie-notice {
        padding: calc(0.75*var(--text-rhythm)) !important;
    }

        .cookie-notice-container {
            padding: 0 !important;
            margin: auto;
            color: var(--color-text) !important;
            text-align: left;
        }

    .cookie-notice-hidden {
        display: none;
    }



        /* Cookie notice text. */

        #cn-notice-text {
            display: block;
            margin-bottom: calc(0.25*var(--text-rhythm));
        }

            #cn-notice-text h3 {
                font-size: calc(0.25rem + var(--base-font-size) * var(--font-scale) * var(--font-scale));
            }

            .small #cn-notice-text h3 {
                margin-bottom: 0;
            }
            
            .tablet #cn-notice-text h3 {
                margin-bottom: calc(0.25*var(--text-rhythm));
            }

                #cn-notice-text h3::before {
                    font-family: var(--font-icons);
                    font-size: 125%;
                    vertical-align: middle;
                    content: '\e845';
                    margin-right: 0.25em;
                }



        /* Cookie notice buttons. */

        #cn-accept-cookie {
            float: right;
        }

        .small #cn-accept-cookie {
            padding: 0 1.5em;
        }

        .tablet #cn-accept-cookie {
            padding: 0 3em;
        }

        #cn-more-info {
            background: none !important;
            border-radius: 0 !important;
            border: none !important;
            color: var(--color-text) !important;
            box-shadow: none !important;
            padding: 0 !important;
            margin: 0 0.5em 0 0 !important;
            font-size: 85%;
            line-height: calc(3em*1/0.85);
            float: right;
        }

        #cn-more-info:hover {
            border-bottom: 1px dashed currentcolor !important;
        }

        #cn-close-notice {
            display: none;
        }



    /* Cookie notice placement. */

    #cookie-notice {
        border: 8px solid var(--color-gray-light-x) !important;
        min-width: auto !important;
        border-radius: 5px !important;
    }

    .small #cookie-notice {
        bottom: 1.5rem !important;
        right: 1.5rem !important;
        top: auto !important;
        left: 1.5rem !important;
        width: auto;
    }

    .laptop #cookie-notice {
        bottom: 3rem !important;
        right: 3rem !important;
        top: auto !important;
        left: auto !important;
    }

    .laptop #cookie-notice {
        width: 480px !important;
    }

        .small #cn-accept-cookie {
            padding: 0 1em !important;
            margin: 0 !important;
        }

        .tablet #cn-accept-cookie {
            padding: 0 1.5em !important;
        }
